<style type="text/css">
.content-wrapper1{
  position: fixed !important;
    left: 0 !important;
    top: 0 !important;
    z-index: 999 !important;
    height: 100% !important;
    overflow: auto !important;
        width: 100%;
    background: #ffffff;
}
.content-wrapper1 .content{
	padding: 10px !important;
}
html.wp-toolbar{
	overflow:  hidden !important;
}
.block-create-debate-btns{
	text-align: center;
	margin-top: 25px;
}
.startDebate textarea.form-control[name="background"] {
    height: 62px;
}
.common-form .form-group{
	padding: 9px 0;
}
.startDebate .form-control{
	padding: 10px 15px;
}
.common-form .btn{
	background: #3970AC;
    padding: 12px 30px;
}
</style>
<?php 

include 'includes/sided-authenticate-apikey.php';

if($status_aat !== 'Valid Token'){
  echo '<script>
          window.location = "'.get_site_url().'/wp-admin/admin.php?page=settings";
        </script>';
  exit;
}

if(isset($_POST['thesis'])){

  $url = SIDED_API_URL.'/debate/create';
  $args = array( 'timeout' => 10,
            'method' => 'POST',
            'headers' => array( 'Content-Type' => 'application/json',
                                'x-source-type' => 'wp-plugin',
                               'x-private-access-token'=> $sided_private_access_token ) ,
            'body' => json_encode($_POST, JSON_UNESCAPED_SLASHES),
             );
  $response = wp_remote_post( $url, $args);
  $response_arr = json_decode($response['body']);
  if($response_arr->status == 'success'){
    echo esc_html($response_arr->message);
    echo '<script>window.parent.postMessage({"did" : "'.esc_js($response_arr->data->id).'"}, "*");</script>';
    die;
  } else {
    echo '<h3 style="text-align:center !important; color: red !important;">'.esc_js($response_arr->message[0]->error).'</h3>'; die;
  }
}

include 'includes/sided-common-header.php'; // including header after redirection
/* fetch debate authors start */
$debate_authors = '';
$url_fda = SIDED_API_URL.'/user/list?type=DEBATE_AUTHORS&clientId='.$selected_network;
$header_fda = array( 'timeout' => 10,
          'headers' => array( 'x-source-type' => 'wp-plugin',
                             'x-private-access-token'=> $sided_private_access_token ) 
           );
$response_fda = wp_remote_get( $url_fda, $header_fda);
$response_fda_arr = json_decode($response_fda['body']);
$debate_authors = $response_fda_arr->data;
/* fetch debate authors end */

/* fetch Current network's cats start */
$debate_cats = '';
$url_fcnc = SIDED_API_URL.'/categories?type=START_DEBATE&clientId='.$selected_network;
$header_fcnc = array( 'timeout' => 10,
          'headers' => array( 'x-source-type' => 'wp-plugin',
                             'x-private-access-token'=> $sided_private_access_token ) 
           );
$response_fcnc = wp_remote_get( $url_fcnc, $header_fcnc);
$response_fcnc_arr = json_decode($response_fcnc['body']);
$debate_cats = $response_fcnc_arr->data;
/* fetch Current network's cats end */

/*fetch curret user details start*/
$current_user = '';
$url_fcu = SIDED_API_URL.'/user/'.$response_aat_arr->data->userId;
$header_fcu = array( 'timeout' => 10,
          'headers' => array( 'x-source-type' => 'wp-plugin',
                             'x-private-access-token'=> $sided_private_access_token ) 
           );
$response_fcu = wp_remote_get( $url_fcu, $header_fcnc);
$response_fcu_arr = json_decode($response_fcu['body']);
$current_user = $response_fcu_arr->status == 'success' ? $response_fcu_arr->data : '';
/*fetch curret user details end*/
?>
  
<script type="text/javascript">
  // Wait for the DOM to be ready
  var $ = jQuery;
  $(function() {
    // Initialize form validation on the registration form.
    // It has the name attribute "registration"

function validImage(val) {
  var regex = new RegExp("(.*?)\.(jpg|jpeg|png)$");
  return regex.test(val);
}

$(document).on('change', '.debate-image-upload', function(){
  var input = $(this);
  if(!this.files) {
    return ;
  }
  if(this.files[0].size/1024/1024 > 20){
      alert("The max image file size is 20MB.")
      $(this).val('');
  } else if(!validImage($(this).val().toLowerCase())) {
    alert("Image is invalid. Please upload only PNG or JPG image.");
    $(this).val('');
  } else {
    const [file] = this.files
    if (file) {
      debImagePreview.src = URL.createObjectURL(file);
      $('#debImagePreview , .field-backgroundImage .close').fadeIn();
      $('.img-field-placeholder').hide();
    }
  }
});


$('body').on('click', '.field-backgroundImage .close', function(){
  debImagePreview.src = '';
    $('#debImagePreview , .field-backgroundImage .close').hide();
    $('.img-field-placeholder').show();
    $('#debImage').val('');
});

    $("#createDebate").validate({
      // Specify validation rules
      rules: {
        // The key name on the left side is the name attribute
        // of an input field. Validation rules are defined
        // on the right side
        thesis: {
          required: true,
          maxlength: 140,
          normalizer: function(value) {
            return $.trim(value);
          }
        },
        "sides[0][text]":{
          required: true,
          maxlength: 140,
          normalizer: function(value) {
            return $.trim(value);
          }
        },
        "sides[1][text]":{
            required: true,
            maxlength: 140,
            normalizer: function(value) {
              return $.trim(value);
            }
          },
        /*categoryId:"required"*/
      },
      // Specify validation error messages
      messages: {
        thesis: {
          required: "The Statement or Question field is required.",
          maxlength: "Please do not enter more than 140 characters."
        },
        "sides[0][text]":{
          required: "The side field is required.",
          maxlength: "The maximum number of characters is 140."
        },
        "sides[1][text]":{
          required: "The side field is required.",
          maxlength: "The maximum number of characters is 140."
        },
        /*categoryId: "The category field is required."*/
      },
      // Make sure the form is submitted to the destination defined
      // in the "action" attribute of the form when valid
      submitHandler: function(form) {
        var deb_image = $('input[name="backgroundImageTemp"]')[0].files;
        var deb_img_code = $('input[name="backgroundImage"]').val();
        if(deb_image.length > 0 && deb_img_code == ''){
          uploadDebateImage(deb_image);
        } else {
          form.submit();
          //submitForm(form);
        }
      }
    });

function uploadDebateImage(deb_image){
  var fd = new FormData();
   fd.append('backgroundImage',deb_image[0]);
   $.ajax({
      url: '<?php echo esc_js(SIDED_API_URL); ?>/debate/imageUpload?type=DEBATES&clientId=<?php echo esc_js($selected_network); ?>',
      type: 'post',
      beforeSend: function(request) {
        request.setRequestHeader("x-private-access-token", "<?php echo esc_js($sided_private_access_token); ?>");
      },
      data: fd,
      contentType: false,
      processData: false,
      success: function(response){
         if(response != 0){
            $('input[name="backgroundImage"]').val(response.data);
            $('#createDebate')[0].submit(); 
            //submitForm($('#createDebate')[0]);
         }else{
            alert('file not uploaded');
         }
      },
   });
}

    endedAt('');

$('#startedAt').val(moment().add(0, 'hours'));
$('#endedAt').val(app.sn_default_debate_duration != '' ? moment().add(app.sn_default_debate_duration, 'days') : '');

    $('input[name="startedAtField"]').daterangepicker({
       timePicker: true,
      singleDatePicker: true,
      showDropdowns: true,
      minDate: new Date(),
      startDate: moment().add(0, 'hours'),
      locale: {
        format: 'MM/DD/YY @ hh:mmA'
      }
    }, function(start, end, label) {
      endedAt(start);
      $('#startedAt').val(start);
    });

    function endedAt(minDate){
      $('input[name="endedAtField"]').daterangepicker({
        timePicker: true,
        singleDatePicker: true,
        showDropdowns: true,
        minDate: minDate != '' ? minDate : new Date(),
        startDate: app.sn_default_debate_duration != '' ? moment().add(app.sn_default_debate_duration, 'days') : '',
        //maxDate: app.sn_max_debate_duration != '' ? moment().add(app.sn_max_debate_duration, 'days') : '',
        locale: {
          format: 'MM/DD/YY @ hh:mmA'
        }
      }, function(start, end, label) {
        $('#endedAt').val(start);
      });
    }

    $('#addSide').click(function(){
      if($('.side').length > 5){ alert('Maximum 6 Sides are allowed'); return false; } 
      $nwSide = $('.side').first().clone();
      $nwSide.find('label.error').remove();
      $nwSide.find('input').val('');
      $('.side-container').append($nwSide);
      if($('.side').length == 6){ $('#addSide').hide(); }
      if($('.side').length > 2){ $('.delete-side').show(); }
      sideReIndex();
    });

    $('body').on('click' , '.delete-side' , function(){
      $(this).closest('.side').remove();
      if($('.side').length < 3){ $('.delete-side').hide(); }
      if($('.side').length < 6){ $('#addSide').show(); }
      sideReIndex();
    });

    function sideReIndex(){
      $(".side-container").find(".side").each(function(index){
        $(this).find("input[name^='sides']").attr('placeholder','Side '+(index+1));
        $(this).find("input[name^='sides']").attr('name','sides['+(index)+'][text]');
      });
    }

    $('#noEndDate').click(function(){
      $('#endedAt').parents('.datePickerWrapper').toggleClass('disabled');
    });

});
</script>
<style type="text/css">
  .side:nth-child(2) input{
    border-color: #43a5f5 !important;
  }
  .side:nth-child(3) input{
    border-color: #d91414 !important;
  }
  .side:nth-child(4) input{
    border-color: #f4900c !important;
  }
  .side:nth-child(5) input{
    border-color: #ab47bd !important;
  }
  .side:nth-child(6) input{
    border-color: #2aa974 !important;
  }
  .side:nth-child(7) input{
    border-color: #4f87b1 !important;
  }

</style>
<div class="content-wrapper1">
  <div class="content">
   <form id="createDebate" class="startDebate common-form row" action="" method="POST" enctype="multipart/form-data">
    <input type="hidden" name="clientId" value="<?php echo esc_attr($selected_network); ?>">
    <input id="typeField" type="hidden" name="type" value="create">
      <div class="col-md-6">
         <div class="form-group pt-0"><label class="form-label" for="thesis">Debate Title</label><input data-required="true" name="thesis" placeholder="Type statement or questions here..." type="text" id="thesis" class="form-control" value=""></div>
         <div class="form-group side-container">
            <div class="inline-content justify-content-between">
              <label class="form-label">Your Sides</label>
              <span id="addSide" role="button" class="customAnchor">+ Add Side</span>
            </div>
            <div class="side">
               <div class="message position-relative">
                  <span role="button" class="delete-side delete-button" style="display: none;">
                      <svg width="11" height="11" viewBox="0 0 11 11" fill="none" xmlns="http://www.w3.org/2000/svg">
                      <path d="M11 1.10786L9.89214 0L5.5 4.39214L1.10786 0L0 1.10786L4.39214 5.5L0 9.89214L1.10786 11L5.5 6.60786L9.89214 11L11 9.89214L6.60786 5.5L11 1.10786Z" fill="#9B9B9B"/>
                      </svg>
                  </span>
                  <input data-required="true" data-index="1" placeholder="Side 1" name="sides[0][text]" type="text" class="form-control" value="">
               </div>
            </div>
            <div class="side">
               <div class="message position-relative">
                  <span role="button" class="delete-side delete-button" style="display: none;">
                      <svg width="11" height="11" viewBox="0 0 11 11" fill="none" xmlns="http://www.w3.org/2000/svg">
                      <path d="M11 1.10786L9.89214 0L5.5 4.39214L1.10786 0L0 1.10786L4.39214 5.5L0 9.89214L1.10786 11L5.5 6.60786L9.89214 11L11 9.89214L6.60786 5.5L11 1.10786Z" fill="#9B9B9B"/>
                      </svg>
                  </span>
                  <input data-required="true" data-index="2" placeholder="Side 2" name="sides[1][text]" type="text" class="form-control" value="">
              </div>
            </div>
         </div>
         <div class="form-group">
            <label class="form-label">Debate Topic</label>
            <select data-required="true" name="categoryId" class="categoryId">
               <option value="" data-id="">Select a category</option>
               <?php
                foreach($debate_cats as $debate_cat){
                  echo '<option value="'.esc_attr($debate_cat->id).'" data-id="'.esc_attr($debate_cat->id).'">'.esc_attr($debate_cat->text).'</option>';
                }
               ?>
            </select>
            <textarea class=" mt-2 form-control" name="background" placeholder="Share any information that might help people choose a side"></textarea>
         </div>
      </div>
      <div class="col-md-6 second-col">
         <div class="inline-content middle">
            <div class="me-3 pt-0 form-group">
               <label class="form-label" for="startedAt">Start Date</label>
               <div class="datePickerWrapper">
                  <input type="hidden" class="" id="startedAt" name="startedAt" value="">
                  <input type="text" name="startedAtField" class="form-control datepickerField"><i class="fa fa-calendar"></i>
                </div>
            </div>
            <div class="pt-0 form-group">
               <label class="form-label" for="endedAt">End Date</label>
               <div class="datePickerWrapper">
                <input type="hidden" class="" id="endedAt" name="endedAt" value="">
                <input type="text" name="endedAtField" class="form-control datepickerField"><i class="fa fa-calendar"></i>
              </div>
              <div class="noEndDate">
                <label for="noEndDate" class="mb-0 mt-2 form-check-label">
                  <input name="noEndDate" type="checkbox" id="noEndDate" class="m-0 me-2 form-check-input" value="1">No end date
                </label>
              </div>
            </div>
         </div>

         <div class="form-group">
         	<label class="form-label">Debate Author</label>
          <select name="userId">
            <option value="">Select Debate Author</option>
            <?php foreach($debate_authors as $debate_author){
              $selected_author = $current_user->id == $debate_author->id ? 'selected' : '';
              echo '<option '.esc_attr($selected_author).' value="'.esc_attr($debate_author->id).'">'.esc_attr($debate_author->name).'</option>';
            } ?>
          </select>
        </div>
        <div class="form-group">
            <div class="inline-content justify-content-between"><label class="form-label">Debate Image</label><span class="fieldInfo">Recommended 300 x 150 px</span></div>
            <div class="field-backgroundImage img-field-wrap">
              <span class="close" style="display: none;">                 
                <svg width="11" height="11" viewBox="0 0 11 11" fill="none" xmlns="http://www.w3.org/2000/svg">
                  <path d="M11 1.10786L9.89214 0L5.5 4.39214L1.10786 0L0 1.10786L4.39214 5.5L0 9.89214L1.10786 11L5.5 6.60786L9.89214 11L11 9.89214L6.60786 5.5L11 1.10786Z" fill="#9B9B9B"/>
                </svg>
              </span>
              <img id="debImagePreview" src="" alt="" style="display: none;" />
               <div class="img-field-placeholder">
                  <svg class="upload-label" width="24" height="21" viewBox="0 0 24 21" fill="none" xmlns="http://www.w3.org/2000/svg">
                    <path fill-rule="evenodd" clip-rule="evenodd" d="M9.03323 0H15.1551C15.9355 0 16.6318 0.473616 16.9028 1.19554L17.5711 2.94286H21.6835C22.9219 2.94286 23.9266 3.93147 23.9266 5.15V18.3929C23.9266 19.6114 22.9219 20.6 21.6835 20.6H2.24312C1.00473 20.6 0 19.6114 0 18.3929V5.15C0 3.93147 1.00473 2.94286 2.24312 2.94286H6.3555L6.93498 1.43004C7.2621 0.570179 8.09859 0 9.03323 0ZM15.5048 1.7139C15.4487 1.57136 15.3085 1.47479 15.1543 1.47479H9.03244C8.71934 1.47479 8.43895 1.66792 8.33147 1.95301L7.39216 4.41765H2.24234C1.8311 4.41765 1.49463 4.74872 1.49463 5.15336V18.3962C1.49463 18.8009 1.8311 19.1319 2.24234 19.1319H21.6827C22.0939 19.1319 22.4304 18.8009 22.4304 18.3962V5.15336C22.4304 4.74872 22.0939 4.41765 21.6827 4.41765H16.5375L15.5048 1.7139ZM11.9633 17.2855C8.86963 17.2855 6.35547 14.8117 6.35547 11.7677C6.35547 8.72367 8.86963 6.24983 11.9633 6.24983C15.0569 6.24983 17.5711 8.72367 17.5711 11.7677C17.5711 14.8117 15.0569 17.2855 11.9633 17.2855ZM7.85059 11.7711C7.85059 9.54092 9.69649 7.72463 11.963 7.72463C14.2295 7.72463 16.0754 9.54092 16.0754 11.7711C16.0754 14.0012 14.2295 15.8175 11.963 15.8175C9.69649 15.8175 7.85059 14.0012 7.85059 11.7711Z" fill="#43A5F5"/>
                  </svg>
              </div>
               <input id="debImage" data-index="0" data-imgtype="DEBATES" name="backgroundImageTemp" data-accept="jpg|jpeg|png" data-accept_msg="Image is invalid. Please upload only PNG or JPG image." type="file" class="debate-image-upload form-control-file">
               <input type="hidden" value="" name="backgroundImage">
            </div>
         </div>
      </div>
      <div class="block-create-debate-btns">
            <button type="submit" class="mt-0 me-0 btn btn-primary">Publish Poll</button>
      </div>
   </form>
  </div>
</div>